Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 820218 - [abrt] evolution-3.4.1-2.fc17: g_type_check_instance_cast: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-3.4.1-2.fc17: g_type_check_instance_cast: Process /usr/bin/e...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fc5665cf3351c934989949e392c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-09 12:10 UTC by James Ettle
Modified: 2012-05-10 09:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-10 09:20:31 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2012-05-09 12:10 UTC, James Ettle
no flags Details
File: maps (deleted)
2012-05-09 12:10 UTC, James Ettle
no flags Details
File: dso_list (deleted)
2012-05-09 12:10 UTC, James Ettle
no flags Details
File: build_ids (deleted)
2012-05-09 12:10 UTC, James Ettle
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 675794 None None None Never

Description James Ettle 2012-05-09 12:10:38 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evolution
comment:        Just finished reading a message and closed the window. Don't know if that's relevant.
crash_function: g_type_check_instance_cast
executable:     /usr/bin/evolution
kernel:         3.3.5-2.fc17.x86_64
pid:            8820
pwd:            /home/james
remote_result:  NOTFOUND
time:           Wed 09 May 2012 12:55:58 PM BST
uid:            1000
username:       james

backtrace:      Text file, 58703 bytes
build_ids:      Text file, 7503 bytes
dso_list:       Text file, 18826 bytes
maps:           Text file, 94779 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/james/2

core_backtrace:
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x30ea7 g_type_check_instance_cast libgobject-2.0.so.0 -
:c91346e3f14abb1b32cf2333a98e5732073a01b3 0x69ef3 - libetable.so -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x156d1 g_object_run_dispose libgobject-2.0.so.0 -
:401d218b1db0722c75d121d9abb53c6daeaf117f 0x3f49c - libevolution-mail.so -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x156d1 g_object_run_dispose libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x17a3a4 gtk_main_do_event libgtk-3.so.0 -
:2a34337df68bcebcf471d5e3362ac137ffea4527 0x48e12 - libgdk-3.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x179585 gtk_main libgtk-3.so.0 -
:968f2b54347564eb2c26e58cf41789ebbec97088 0x22da main [exe] -

environ:
:INFINALITY_FT_AUTOHINT_HORIZONTAL_STEM_DARKEN_STRENGTH=0
:XDG_VTNR=1
:'LDFLAGS=-L/home/james/local/lib '
:MANPATH=/home/james/local/share/man:
:XDG_SESSION_ID=2
:HOSTNAME=iseult
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:INFINALITY_FT_BOLD_EMBOLDEN_X_VALUE=0
:INFINALITY_FT_AUTOHINT_VERTICAL_STEM_DARKEN_STRENGTH=0
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/james/keyring-TQsyva
:INFINALITY_FT_CONTRAST=0
:IMSETTINGS_MODULE=none
:INFINALITY_FT_GRAYSCALE_FILTER_STRENGTH=0
:USER=james
:G_SLICE=always-malloc
:CPATH=/home/james/local/include:
:INFINALITY_FT_FRINGE_FILTER_STRENGTH=0
:INFINALITY_FT_BRIGHTNESS=0
:INFINALITY_FT_USE_VARIOUS_TWEAKS=false
:USERNAME=james
:'INFINALITY_FT_GAMMA_CORRECTION=0 100'
:MAIL=/var/spool/mail/james
:PATH=/home/james/local/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/james
:XMODIFIERS=@im=none
:'INFINALITY_FT_FILTER_PARAMS=06 25 38 25 06'
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1356
:LANG=en_US.utf8
:INFINALITY_FT_USE_KNOWN_SETTINGS_ON_SELECTED_FONTS=false
:INFINALITY_FT_STEM_SNAPPING_SLIDING_SCALE=0
:GDM_LANG=en_US.utf8
:INFINALITY_FT_WINDOWS_STYLE_SHARPENING_STRENGTH=0
:KDEDIRS=/usr
:INFINALITY_FT_CHROMEOS_STYLE_SHARPENING_STRENGTH=0
:SANE_NET_HOSTS=gyro.ettle.lan:
:INFINALITY_FT_AUTOHINT_SNAP_STEM_HEIGHT=0
:INFINALITY_FT_STEM_ALIGNMENT_STRENGTH=0
:'PS1=[\\u@\\[\\033[1;34m\\]\\h\\[\\033[0m\\] \\W]\\$ '
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/james
:SHLVL=1
:INFINALITY_FT_BOLD_EMBOLDEN_Y_VALUE=0
:'CFLAGS=-I/home/james/local/include '
:INFINALITY_FT_GLOBAL_EMBOLDEN_Y_VALUE=0
:LOGNAME=james
:CLASSPATH=:/home/james/src/java
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-fpKYPhU96e,guid=352bb322993bdecd4912380c00000186
:INFINALITY_FT_STEM_FITTING_STRENGTH=0
:PKG_CONFIG_PATH=/home/james/local/lib/pkgconfig:
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:INFINALITY_FT_AUTOHINT_INCREASE_GLYPH_HEIGHTS=false
:WINDOWPATH=1
:INFINALITY_FT_GLOBAL_EMBOLDEN_X_VALUE=0
:XDG_RUNTIME_DIR=/run/user/james
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-james-XwQ5IR/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1360,unix/unix:/tmp/.ICE-unix/1360
:GPG_AGENT_INFO=/run/user/james/keyring-TQsyva/gpg:0:1
:SSH_AUTH_SOCK=/run/user/james/keyring-TQsyva/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8820
:DESKTOP_STARTUP_ID=gnome-shell-1573-iseult-evolution-4_TIME8253327

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        33554432             33554432             bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63025                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63025                63025                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/james/.xsession-errors
:pos:	49646
:flags:	0102002
:2:/home/james/.xsession-errors
:pos:	49646
:flags:	0102002
:3:socket:[51366]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[51369]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[51370]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[35638]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[51371]
:pos:	0
:flags:	02004002
:13:/home/james/.pki/nssdb/cert9.db
:pos:	40
:flags:	02100002
:14:/var/tmp/etilqs_dAb2QMVQSg592Bh (deleted)
:pos:	28
:flags:	02100002
:15:/var/tmp/etilqs_6NK9eSEnwJUrgJN (deleted)
:pos:	2056
:flags:	02500002
:16:/var/tmp/etilqs_pg0fSzIfYBdKUiK (deleted)
:pos:	2048
:flags:	02500002
:17:/home/james/.pki/nssdb/key4.db
:pos:	40
:flags:	02100002
:18:/var/tmp/etilqs_bcK72DxKcZiqTtq (deleted)
:pos:	28
:flags:	02100002
:19:/var/tmp/etilqs_DVj9rWMcG2djLw6 (deleted)
:pos:	2056
:flags:	02500002
:20:/var/tmp/etilqs_FSibcQBwV6vHF2I (deleted)
:pos:	2048
:flags:	02500002
:21:/etc/pki/nssdb/cert9.db
:pos:	40
:flags:	02100000
:22:/var/tmp/etilqs_Mdtu8sSioZx038C (deleted)
:pos:	28
:flags:	02100002
:23:/var/tmp/etilqs_U7QGApzHLPfBeqP (deleted)
:pos:	2048
:flags:	02500002
:24:/etc/pki/nssdb/key4.db
:pos:	40
:flags:	02100000
:25:/var/tmp/etilqs_M6qFmsGun1c6EiL (deleted)
:pos:	28
:flags:	02100002
:26:/var/tmp/etilqs_psUIprSTCLcUfF1 (deleted)
:pos:	2048
:flags:	02500002
:27:/home/james/.local/share/evolution/mail/local/folders.db
:pos:	40
:flags:	02100002
:28:/home/james/.local/share/evolution/mail/vfolder/folders.db
:pos:	40
:flags:	02100002
:29:socket:[47048]
:pos:	0
:flags:	02004002
:30:/home/james/.cache/evolution/mail/1202565295.9228.22@harmony/folders.db
:pos:	40
:flags:	02100002
:31:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:32:/home/james/.cache/evolution/mail/1202817396.4995.0@harmony/folders.db
:pos:	38759424
:flags:	02100002
:33:/home/james/.cache/evolution/mail/1224694269.22561.0@rhapsody/folders.db
:pos:	40
:flags:	02100002
:34:/home/james/.cache/evolution/mail/1291291893.4338.4@rhapsody/folders.db
:pos:	40
:flags:	02100002
:35:/home/james/.cache/evolution/mail/1296255114.6354.5@rhapsody/folders.db
:pos:	40
:flags:	02100002
:36:/home/james/.cache/evolution/mail/1315474321.6542.5@rhapsody/folders.db
:pos:	40
:flags:	02100002
:37:/home/james/.cache/evolution/mail/1322502265.15617.4@rhapsody/folders.db
:pos:	40
:flags:	02100002
:38:socket:[51381]
:pos:	0
:flags:	04002
:39:/dev/urandom
:pos:	0
:flags:	02100000
:40:socket:[49586]
:pos:	0
:flags:	04002
:41:socket:[35645]
:pos:	0
:flags:	04002

var_log_messages:
:May  8 15:23:39 iseult kernel: [52528.032292] evolution[29828]: segfault at 746500000016 ip 0000003c6a830ea7 sp 00007fff608b25f0 error 4 in libgobject-2.0.so.0.3200.1[3c6a800000+4b000]
:May  8 15:23:41 iseult abrt[32028]: Saved core dump of pid 29828 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-05-08-15:23:39-29828 (163069952 bytes)
:May  8 17:40:47 iseult kernel: [ 3728.729328] evolution[3179]: segfault at 70 ip 00007f2cbd19d530 sp 00007fff53429e28 error 4 in libgdk-3.so.0.400.1[7f2cbd160000+78000]
:May  8 17:40:51 iseult abrt[4262]: Saved core dump of pid 3179 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-05-08-17:40:47-3179 (192815104 bytes)
:May  9 12:55:58 iseult kernel: [ 8271.440568] evolution[8820]: segfault at 7f4500000016 ip 0000003c6a830ea7 sp 00007fff7b6f01d0 error 4 in libgobject-2.0.so.0.3200.1[3c6a800000+4b000]
:May  9 12:56:02 iseult abrt[8923]: Saved core dump of pid 8820 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-05-09-12:55:58-8820 (166309888 bytes)

Comment 1 James Ettle 2012-05-09 12:10:42 UTC
Created attachment 583249 [details]
File: backtrace

Comment 2 James Ettle 2012-05-09 12:10:44 UTC
Created attachment 583250 [details]
File: maps

Comment 3 James Ettle 2012-05-09 12:10:47 UTC
Created attachment 583251 [details]
File: dso_list

Comment 4 James Ettle 2012-05-09 12:10:49 UTC
Created attachment 583252 [details]
File: build_ids

Comment 5 Milan Crha 2012-05-10 09:20:31 UTC
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=675794


Note You need to log in before you can comment on or make changes to this bug.